1

I installed manually TeXLive 2016 by the script install-tl so it is not anymore controlled by apt-get. However, I need too Lyx and Tikz, which should work well with TeXLive. I am thinking how to control the software installation now to prevent duplicates. If you do the following, you get much duplicates where I try to get KDE Tikz

sudo apt-get install ktikz lyx lyx-common lyx-dbg 

Much duplicates here

The following packages were automatically installed and are no longer required:
  aglfn fonts-cabin fonts-comfortaa fonts-ebgaramond fonts-ebgaramond-extra
  fonts-freefont-otf fonts-gfs-artemisia fonts-gfs-baskerville
  fonts-gfs-bodoni-classic fonts-gfs-complutum fonts-gfs-didot
  fonts-gfs-didot-classic fonts-gfs-gazis fonts-gfs-neohellenic
  fonts-gfs-olga fonts-gfs-porson fonts-gfs-solomos fonts-gfs-theokritos
  fonts-hosny-amiri fonts-junicode fonts-linuxlibertine fonts-lobster
  fonts-lobstertwo fonts-oflb-asana-math fonts-roboto-hinted
  fonts-sil-gentium fonts-sil-gentium-basic fonts-sil-gentiumplus
  konsole4-kpart latex-cjk-chinese-arphic-bkai00mp
  latex-cjk-chinese-arphic-bsmi00lp latex-cjk-chinese-arphic-gbsn00lp
  latex-cjk-chinese-arphic-gkai00mp latex-cjk-japanese-wadalab
  lcdf-typetools libkonq-common libkonq5-templates libkonq5abi1 pfb2t1c2pfb
  ttf-adf-accanthis ttf-adf-gillius ttf-adf-universalis
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  kdoctools5 khelpcenter khelpcenter4 libboost-regex1.58.0
  libboost-signals1.58.0 libkf5bookmarks-data libkf5bookmarks5
  libkf5gpgmepp5 libkf5js5 libkf5kcmutils-data libkf5kcmutils5
  libkf5kdelibs4support-data libkf5kdelibs4support5
  libkf5kdelibs4support5-bin libkf5khtml-bin libkf5khtml-data libkf5khtml5
  libkf5kiofilewidgets5 libkf5parts-data libkf5parts-plugins libkf5parts5
  libkf5solid5 libkf5solid5-data libkf5wallet-bin libkf5wallet-data
  libkf5wallet5 libkwalletbackend5-5 prosper texlive-base
  texlive-extra-utils texlive-font-utils texlive-fonts-recommended
  texlive-fonts-recommended-doc texlive-generic-extra
  texlive-generic-recommended texlive-latex-base texlive-latex-base-doc
  texlive-latex-extra texlive-latex-extra-doc texlive-latex-recommended
  texlive-latex-recommended-doc texlive-pictures texlive-pictures-doc
  texlive-pstricks texlive-pstricks-doc texlive-science texlive-science-doc
  tipa
Suggested packages:
  rcs groff gnuhtml2latex wv noweb sgmltools-lite linuxdoc-tools
  writer2latex latex2rtf librsvg2-bin | inkscape texlive-xetex etoolbox
  perl-tk xindy fragmaster purifyeps latexmk python-pygments
  libspreadsheet-parseexcel-perl libtcltk-ruby dot2tex prerex
The following NEW packages will be installed:
  kdoctools5 khelpcenter khelpcenter4 ktikz libboost-regex1.58.0
  libboost-signals1.58.0 libkf5bookmarks-data libkf5bookmarks5
  libkf5gpgmepp5 libkf5js5 libkf5kcmutils-data libkf5kcmutils5
  libkf5kdelibs4support-data libkf5kdelibs4support5
  libkf5kdelibs4support5-bin libkf5khtml-bin libkf5khtml-data libkf5khtml5
  libkf5kiofilewidgets5 libkf5parts-data libkf5parts-plugins libkf5parts5
  libkf5solid5 libkf5solid5-data libkf5wallet-bin libkf5wallet-data
  libkf5wallet5 libkwalletbackend5-5 lyx lyx-common lyx-dbg prosper
  texlive-base texlive-extra-utils texlive-font-utils
  texlive-fonts-recommended texlive-fonts-recommended-doc
  texlive-generic-extra texlive-generic-recommended texlive-latex-base
  texlive-latex-base-doc texlive-latex-extra texlive-latex-extra-doc
  texlive-latex-recommended texlive-latex-recommended-doc texlive-pictures
  texlive-pictures-doc texlive-pstricks texlive-pstricks-doc texlive-science
  texlive-science-doc tipa
0 upgraded, 52 newly installed, 0 to remove and 19 not upgraded.
2 not fully installed or removed.
Need to get 826 MB of archives.
After this operation, 1,271 MB of additional disk space will be used.
Do you want to continue? [Y/n]

OS: Debian 8.5 64 bit, Ubuntu 16.04 64 bit
Linux kernel: 4.6 of backports
Hardware: Asus Zenbook UX303UA

0

Please, see the body of my question in the thread How to get this package in TexLive 2016 of Debian? and particularly the section My workflow about in TexLive 2016. Shortly, do the following because apt-get has outdated TexLive

# delete texlive-full if you have installed it before
apt-get purge texlive-full

# http://latex-community.org/know-how/466-texlive-linux
cd Desktop
mkdir texlive
cd texlive
wget http://mirror.ctan.org/systems/texlive/tlnet/install-tl-unx.tar.gz
tar xf install-tl-unx.tar.gz
cd install-tl-20130105 (or a newer version)
./install-tl

Installation of the latest Lyx

apt-get has little older (some months) Lyx than their website states here so the main problem is to understand which Lyx is best suited for the above installation, since we did not use apt-get's texlive

# install lyx in apt-get TODO not sure if existing newer elsewhere
apt-get install lyx

masi@masi:~/Downloads$ apt-cache show lyx
Package: lyx
Version: 2.1.2-2
Installed-Size: 12487
Maintainer: Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>
Architecture: amd64
Depends: libboost-regex1.55.0, libboost-signals1.55.0, libc6 (>= 2.15), libenchant1c2a (>= 1.6.0), libgcc1 (>= 1:4.1.1), libmagic1 (>= 5.12), libmythes-1.2-0, libqtcore4 (>= 4:4.7.0~beta1), libqtgui4 (>= 4:4.8.0), libstdc++6 (>= 4.9), zlib1g (>= 1:1.1.4), lyx-common (= 2.1.2-2), xdg-utils
Recommends: texlive-latex-recommended, texlive-latex-extra, texlive-science, texlive-generic-recommended, texlive-generic-extra, texlive-fonts-recommended, preview-latex-style, dvipng, imagemagick, psutils, ghostscript, poppler-utils, fonts-lyx, evince-gtk | pdf-viewer, elyxer | tex4ht | hevea | tth | latex2html
Suggests: rcs, latex-xcolor, groff, libtiff-tools, gnuhtml2latex, wv, chktex, noweb, sgmltools-lite, linuxdoc-tools, writer2latex, latex2rtf, librsvg2-bin | inkscape, texlive-xetex, etoolbox, lyx-dbg (= 2.1.2-2)
Description-en: document processor
 LyX is an almost WYSIWYG-frontend for LaTeX. It makes the power and
 typesetting quality of LaTeX available for people who are used to
 word processors. Since LyX supports LaTeX's concept of general
 mark-ups, it is even easier and faster to create professional quality
 documents with it than with usual word processors. It is also
 possible to use LaTeX commands within LyX, so nothing of LaTeX's
 power is lost.
 .
 You can extend the functionality of LyX by installing these packages:
  * chktex: check for typographical errors
  * gnuhtml2latex: import HTML documents
  * groff: improved table formatting in plain text exports
  * latex-xcolor: for coloured change tracking
  * librsvg2-bin, inkscape: use the SVG image format in LyX documents
  * linuxdoc-tools: export SGML LinuxDoc documents
  * mythes-*: use the OpenOffice.org/LibreOffice Thesaurus
  * noweb: import noweb files
  * rcs: integrated version control
  * sgmltools-lite: export SGML DocBook documents
  * texlive-xetex, etoolbox: use the XeTeX typesetting system
  * wv: import MS Word documents
Description-md5: 9841fdd911f5abac7d1f71c64436f591
Homepage: http://www.lyx.org/
Tag: implemented-in::c++, interface::commandline, interface::x11,
 role::program, scope::application, uitoolkit::qt, use::editing,
 use::text-formatting, use::typesetting, works-with-format::tex,
 works-with::text, x11::application
Section: editors
Priority: optional
Filename: pool/main/l/lyx/lyx_2.1.2-2_amd64.deb
Size: 3730032
MD5sum: ca6c14a9c37e59d759cd46e7501e0659
SHA1: 311050f528ef0455e1ceaf644a74065b928f5828
SHA256: dec78f9f53ed239ed728dfe9c97c6cd9a88f7cc061c26341a67f05452ab684e9

Installation of the latest Tikz

Tikz is not updated so often so I think the default Tikz and its dependencies are sufficient in apt-get. I could not find any centralized tool for their control with LaTeX etc by install-tl.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.